import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.sql.*;
import java.util.*;

public class ReadDB extends HttpServlet 
{
  private static final String CONTENT_TYPE = "text/html; charset=windows-1253";

  public void init(ServletConfig config) throws ServletException
  {
    super.init(config);
  }

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
  {
    response.setContentType(CONTENT_TYPE);
    PrintWriter out = response.getWriter();
    out.print("<html><head>");
    out.print("</head><body>");
    out.print("<code><pre>");
    out.print("<font color=green>ID\t Name\t\t Title\n</font>");
    // debugging info
    long time1 = System.currentTimeMillis();
    // connecting to database
    Connection con = null;
    Statement stmt = null;
    ResultSet rs = null;
    try 
    {
      // Load the JDBC-ODBC Bridge driver
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
      // Get a connection to the database
      con = DriverManager.getConnection("jdbc:odbc:FPNWIND", "", "");
      stmt = con.createStatement();
      rs = stmt.executeQuery("SELECT customerId, contactName, contactTitle FROM customers");
      // displaying records
      while(rs.next()) 
      {
        out.print(rs.getObject(1).toString() + "\t");
        out.print(rs.getObject(2).toString() + "\t");
        out.print(rs.getObject(3).toString() + "\n");
      }
    }
    catch (SQLException e) 
    {
      throw new ServletException("Servlet could not display records: " + e.toString(), e);
    }
    catch (ClassNotFoundException e) 
    {
      throw new ServletException("JDBC Driver not found.", e);
    }
    // debugging info
    long time2 = System.currentTimeMillis();
    out.print("</pre></code>");
    out.print("<p>Search took : ");
    out.print( (time2 - time1) );
    out.print(" ms.</p>");
    out.print("<p\"><a href=\"");
    out.print(request.getRequestURI());
    out.print("\">Back</a></p>");
    out.print("</body></html>");
    out.close();
  }
}